Name:          carol-irmi
Version:       1.0.1
Release:       %mkrel 6
Summary:       Intercepting RMI implementation for the Java platform
Group:         Development/Java
License:       LGPL
Url:           http://carol.ow2.org/
# svn checkout svn://svn.forge.objectweb.org/svnroot/carol/tags/IRMI_1_0_1 irmi-1.0.1
# tar czf irmi-1.0.1-src-svn.tar.gz irmi-1.0.1
Source0:       irmi-%{version}-src-svn.tar.gz
Source1:       carol-irmi-%{version}-pom.xml
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: apache-commons-collections
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      apache-commons-collections
Requires:      jpackage-utils
BuildArch:     noarch

%description
The irmi package is a JDK agnostic RMI implementation supporting
pluggable interceptors and local call optimization. It uses standard
JRMP stubs and uses the javax.rmi.CORBA.PortableRemoteObjectDelegate
interface to plug into any JDK. This implementation may be enabled by
setting the system property named javax.rmi.CORBA.PortableRemoteObjectClass
to the value "org.objectweb.carol.irmi.PRO".

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
IRMI: Intercepting RMI implementation for the Java platform.

This package contains Javadoc for %{name}.

%prep
%setup -q -n irmi-%{version}

chmod -R go=u-w *

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

build-jar-repository externals commons-collections junit

%build

ant jar javadoc
#test 
%install
mkdir -p %{buildroot}%{_javadir}

install -m 644 build/irmi.jar %{buildroot}%{_javadir}/ow_carol_irmi-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/carol-irmi-%{version}
cp -pr build/doc/* %{buildroot}%{_javadocdir}/carol-irmi-%{version}
ln -s carol-irmi-%{version} %{buildroot}%{_javadocdir}/carol-irmi

%files
%{_javadir}/ow_carol_irmi-%{version}.jar
%{_javadir}/ow_carol_irmi.jar

%files javadoc
%{_javadocdir}/carol-irmi-%{version}
%{_javadocdir}/carol-irmi



%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.0.1-6.mga6
+ Revision: 938469
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 742041
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 678314
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 503195
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 347427
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 05 2011 dmorgan <dmorgan> 1.0.1-1.mga2
+ Revision: 138754
- Adapt to mageia guidelines

  + gil <gil>
    - imported package carol-irmi


* Sun Jun 26 2011 gil <gil> 1.0.1-0.%%mkrel
- initial rpm